3D windows not rendering negative z-values of geometry

2018-01-04 03:54 PM - Jakob Lanstorp

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25685

Description

Adding a 3D-multipoint through the DB Manager hooked to PostGIS, does not render the points with negative z-values.

SELECT 1 AS id, ST_GeomFromText('MULTIPOINT(505105 6305783 -200, 505105 6305783 0, 505105 6305783 200)', 25832) AS

geom

The same goes for single point geometries:

SELECT 

  1 AS id, 

  ST_GeomFromText('POINT(505105 6305783 -200)', 25832) AS geom

UNION ALL  

SELECT 

  2 AS id, 

  ST_GeomFromText('POINT(505105 6305783 0)', 25832) AS geom

UNION ALL  

SELECT 

  3 AS id, 

  ST_GeomFromText('POINT(505105 6305783 200)', 25832) AS geom

Also the geometry in z = 0 is cut in half.

Version: OSGEO QGIS Master (2.99.0-255) of 4th Jan 2018

Related issues:

Related to QGIS Application - Bug report # 17814: Postgres provider retrieves... Closed 2018-01-07

History

#1 - 2018-01-04 07:10 PM - Martin Dobias

This is expected: by default the 3D view also renders "flat" terrain at zero elevation with map image as the terrain's texture - that's why the point at zero

elevation is cut in half and the point with negative elevation does not appear (hidden under the terrain).

#2 - 2018-01-05 09:55 AM - Jakob Lanstorp

Is the terrain's texture not just another 3D geometry that you should be able to pan through? Negative z-values is important for data like geological layers

and sewer network systems. Normally you would set the surface to 0 meters. Negative values below surface positive above the surface. If I just have the

3D-geometry and no other layers in the map, there is still an imaginary 0 meter surface hiding the negative values.
#3 - 2018-01-07 10:14 PM - Martin Dobias

Is the terrain's texture not just another 3D geometry that you should be able to pan through?

That's correct. There are few things special about it though compared to other 3D geometries, e.g. when dragging map with mouse we find out which point

on the terrain user grabbed in order to move camera correctly.

The camera controller as of now also has a lock on maximum tilt angle so that user does not get under the terrain - something that is not desirable when

not working with subsurface data. In a future release we should have options to allow users move the camera more freely to give more power to those

working with subsurface data.

Shall we close this ticket?

#4 - 2018-01-08 09:17 AM - Jakob Lanstorp

- Status changed from Open to Closed

Yes lets close it. Thanks for clarification. For the record: Issue changed to bug in Postgres provider (#17814)

#5 - 2018-01-08 09:44 AM - Jürgen Fischer

- Related to Bug report #17814: Postgres provider retrieves 4D geometries as 2D added

#6 - 2018-01-08 09:45 AM - Jürgen Fischer

- Subject changed from 3D windows not redering negative z-values of geometry to 3D windows not rendering negative z-values of geometry

#7 - 2018-02-22 09:15 AM - Giovanni Manghi

- Resolution set to duplicate
